# Recipient Categories Recipient Categories ## Creates a new recipient category record that does not already exist. - [POST /recipientCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipient-categories/createrecipientcategory.md): This method will auto-generate an ID and create a new recipient category. If an ID is specified for the recipient category, an error will be thrown. ## Returns a list of records with the specified award_id - [GET /recipientCategories/{tenantId}/award/{award_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipient-categories/listcategoriesbyawardid.md): Returns a list of records with the specified award_id ## Execute Batch Operations - [POST /recipientCategories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipient-categories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a recipient category from the system by its ID. - [DELETE /recipientCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipient-categories/deleterecipientcategory.md): This method will delete a recipient category with the specified ID. ## Returns a recipient category from the system by its ID. - [GET /recipientCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipient-categories/getrecipientcategory.md): This method will look up a recipient category by the specified ID and return it back. ## Partially updates a recipient category with the specified ID. - [PATCH /recipientCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipient-categories/patchrecipientcategory.md): This method will patch an existing recipient category with the specified ID, using the HTTP PATCH specification. ## Updates a recipient category with the specified ID. - [PUT /recipientCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/recipient-categories/updaterecipientcategory.md): This method will update an existing recipient category with the specified ID.